Home Forums Support PHP version issues

This topic contains 1 reply, has 1 voice, and was last updated by  cjkeist 1 week, 5 days ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #21548

    cjkeist
    Participant

    Hello,
    Tried to install new Invoice Ninja v4.5.14 with PHP73 on CentOS 7.6. When I tried to run connect to the page I got a “Something went wrong error”. I read the requirements and say only PHP7.2 support. So I tried to install PHP72 and set that as default php. But when I connect I now get “Bad Gateway” error. In the nginx log file I see the following:

    2019/08/08 10:42:47 [crit] 11244#0: *2 connect() to unix:/var/run/php71-fpm-ninja.sock failed (2: No such file or directory) while connecting to upstream, client: 10.206.30.12, server: cnbilling.tss.oregonstate.edu, request: “GET / HTTP/1.1”, upstream: “fastcgi://unix:/var/run/php71-fpm-ninja.sock:”, host: “cnbilling.tss.oregonstate.edu”

    why is it trying to use PHP71?

    #21549

    cjkeist
    Participant

    NVM, I found the issue. Was with the ninja.conf file under /etc/nginx/conf.d that was listing the php71 version. I copied that from another server which was running php71.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.

Posted in: